Emmet Everywhere

EmmetEverywhere Plugin for IntelliJ IDEA ==================================

Use HTML Emmet anywhere.
For example in Google Closure Template (*.soy files).
Just type your code and press CTRL+ALT+]

Here’s an example: this abbreviation

#page>div.logo+ul#navigation>li*5>a{Item $}

…can be transformed into

<div id=»page»>
<div></div>
<ul id=»navigation»>
<li><a href=»»>Item 1</a></li>
<li><a href=»»>Item 2</a></li>
<li><a href=»»>Item 3</a></li>
<li><a href=»»>Item 4</a></li>
<li><a href=»»>Item 5</a></li>
</ul>
</div>

more information about Emmet:
http://emmet.io/

Download

Src https://github.com/Leoperd87/EmmetEverywhere

15 комментариев: Emmet Everywhere

  1. Ishan говорит:

    Hi,

    I am getting an error when I activate this with PHP Storm:

    11.02.24 AM PluginException: cannot create class «ua.in.dej.myEmmet.myEmmet» [Plugin: ua.in.dej.myEmmet]

    Any idea how I can fix this?

    Thanks,
    Ishan.

    • admin говорит:

      What is your OS and Java version?

    • Borys Romanyuk говорит:

      The same problem with PHPstorm.
      Windows 7 pro
      «java version «1.8.0_25»
      emmet plugin version 1.2.4

      cannot create class "ua.in.dej.myEmmet.myEmmet" [Plugin: ua.in.dej.myEmmet]
      com.intellij.diagnostic.PluginException: cannot create class "ua.in.dej.myEmmet.myEmmet" [Plugin: ua.in.dej.myEmmet]
      at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:175)
      at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:523)
      at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:503)
      at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.getAction(ActionManagerImpl.java:480)
      at com.intellij.ide.util.gotoByName.GotoActionItemProvider.a(GotoActionItemProvider.java:162)
      at com.intellij.ide.util.gotoByName.GotoActionItemProvider.filterElements(GotoActionItemProvider.java:81)
      at com.intellij.ide.actions.SearchEverywhereAction$CalcThread.a(SearchEverywhereAction.java:1454)
      at com.intellij.ide.actions.SearchEverywhereAction$CalcThread.b(SearchEverywhereAction.java:1476)
      at com.intellij.ide.actions.SearchEverywhereAction$CalcThread.run(SearchEverywhereAction.java:1367)
      at com.intellij.openapi.application.impl.ApplicationImpl$8.run(ApplicationImpl.java:405)
      at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
      at java.util.concurrent.FutureTask.run(FutureTask.java:262)
      at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
      at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
      at java.lang.Thread.run(Thread.java:745)
      at org.jetbrains.ide.PooledThreadExecutor$1$1.run(PooledThreadExecutor.java:56)
      Caused by: com.intellij.diagnostic.PluginException: ua/in/dej/myEmmet/myEmmet : Unsupported major.minor version 52.0 [Plugin: ua.in.dej.myEmmet]
      at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:130)
      at com.intellij.ide.plugins.cl.PluginClassLoader.a(PluginClassLoader.java:77)
      at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:66)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
      at java.lang.Class.forName0(Native Method)
      at java.lang.Class.forName(Class.java:270)
      at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:151)
      ... 15 more
      Caused by: java.lang.UnsupportedClassVersionError: ua/in/dej/myEmmet/myEmmet : Unsupported major.minor version 52.0
      at java.lang.ClassLoader.defineClass1(Native Method)
      at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
      at java.lang.ClassLoader.defineClass(ClassLoader.java:643)
      at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:195)
      at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:191)
      at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:167)
      at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:124)
      ... 21 more

  2. Сергей говорит:

    Hi

    I’m using Java 8 update 31, Windows 8.1 and PHPStorm 8.0.3. When I’m typing div.clearfix and pressing Ctrl+Alt+]

    cannot create class «ua.in.dej.myEmmet.myEmmet» [Plugin: ua.in.dej.myEmmet]
    com.intellij.diagnostic.PluginException: cannot create class «ua.in.dej.myEmmet.myEmmet» [Plugin: ua.in.dej.myEmmet]
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:175)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:531)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:511)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.getAction(ActionManagerImpl.java:488)
    at com.intellij.openapi.keymap.impl.IdeKeyEventDispatcher.updateCurrentContext(IdeKeyEventDispatcher.java:731)
    at com.intellij.openapi.keymap.impl.IdeKeyEventDispatcher.d(IdeKeyEventDispatcher.java:466)
    at com.intellij.openapi.keymap.impl.IdeKeyEventDispatcher.dispatchKeyEvent(IdeKeyEventDispatcher.java:211)
    at com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:546)
    at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:384)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
    Caused by: com.intellij.diagnostic.PluginException: ua/in/dej/myEmmet/myEmmet : Unsupported major.minor version 52.0 [Plugin: ua.in.dej.myEmmet]
    at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:130)
    at com.intellij.ide.plugins.cl.PluginClassLoader.a(PluginClassLoader.java:77)
    at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:66)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:270)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:151)
    … 14 more
    Caused by: java.lang.UnsupportedClassVersionError: ua/in/dej/myEmmet/myEmmet : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:643)
    at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:213)
    at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:209)
    at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:185)
    at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:124)
    … 20 more

    • admin говорит:

      1. Edit your JAVA_HOME with the latest java home folder path
      2. Edit your path variable which might already have been set with older version
      3. For this goto My Computer > Properties > Advanced > Environment Variables > path
      4. Remove the earlier version path which might be something like /bin and replace it with newer version path

  3. golgot говорит:

    cannot create class «ua.in.dej.myEmmet.myEmmet» [Plugin: ua.in.dej.myEmmet]
    com.intellij.diagnostic.PluginException: cannot create class «ua.in.dej.myEmmet.myEmmet» [Plugin: ua.in.dej.myEmmet]
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:175)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:531)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:511)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.getAction(ActionManagerImpl.java:488)
    at com.intellij.ide.util.gotoByName.GotoActionItemProvider.a(GotoActionItemProvider.java:162)
    at com.intellij.ide.util.gotoByName.GotoActionItemProvider.filterElements(GotoActionItemProvider.java:81)
    at com.intellij.ide.util.gotoByName.GotoActionItemProvider.filterElements(GotoActionItemProvider.java:69)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread.addElementsByPattern(ChooseByNameBase.java:1587)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread$1$1$1.run(ChooseByNameBase.java:1538)
    at com.intellij.openapi.application.impl.ApplicationImpl.runReadAction(ApplicationImpl.java:908)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread$1$1.run(ChooseByNameBase.java:1520)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread$1.run(ChooseByNameBase.java:1550)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl$3.run(ProgressManagerImpl.java:194)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.a(ProgressManagerImpl.java:281)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.executeProcessUnderProgress(ProgressManagerImpl.java:233)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.runProcess(ProgressManagerImpl.java:181)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread.run(ChooseByNameBase.java:1514)
    at com.intellij.openapi.application.impl.ApplicationImpl$8.run(ApplicationImpl.java:406)
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:439)
    at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
    at java.util.concurrent.FutureTask.run(FutureTask.java:138)
    at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
    at java.lang.Thread.run(Thread.java:695)
    at org.jetbrains.ide.PooledThreadExecutor$1$1.run(PooledThreadExecutor.java:56)
    Caused by: com.intellij.diagnostic.PluginException: ua/in/dej/myEmmet/myEmmet : Unsupported major.minor version 52.0 [Plugin: ua.in.dej.myEmmet]
    at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:130)
    at com.intellij.ide.plugins.cl.PluginClassLoader.a(PluginClassLoader.java:77)
    at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:66)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:249)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:151)
    … 24 more
    Caused by: java.lang.UnsupportedClassVersionError: ua/in/dej/myEmmet/myEmmet : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:471)
    at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:213)
    at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:209)
    at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:185)
    at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:124)
    … 30 more

    com.intellij.diagnostic.PluginException: cannot create class «org.idea.plugin.GoogleIt.GoogleItSelected» [Plugin: org.root.GoogleIt]
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:175)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:531)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.a(ActionManagerImpl.java:511)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.getAction(ActionManagerImpl.java:488)
    at com.intellij.ide.util.gotoByName.GotoActionItemProvider.a(GotoActionItemProvider.java:162)
    at com.intellij.ide.util.gotoByName.GotoActionItemProvider.filterElements(GotoActionItemProvider.java:81)
    at com.intellij.ide.util.gotoByName.GotoActionItemProvider.filterElements(GotoActionItemProvider.java:69)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread.addElementsByPattern(ChooseByNameBase.java:1587)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread$1$1$1.run(ChooseByNameBase.java:1538)
    at com.intellij.openapi.application.impl.ApplicationImpl.runReadAction(ApplicationImpl.java:908)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread$1$1.run(ChooseByNameBase.java:1520)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread$1.run(ChooseByNameBase.java:1550)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl$3.run(ProgressManagerImpl.java:194)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.a(ProgressManagerImpl.java:281)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.executeProcessUnderProgress(ProgressManagerImpl.java:233)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.runProcess(ProgressManagerImpl.java:181)
    at com.intellij.ide.util.gotoByName.ChooseByNameBase$CalcElementsThread.run(ChooseByNameBase.java:1514)
    at com.intellij.openapi.application.impl.ApplicationImpl$8.run(ApplicationImpl.java:406)
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:439)
    at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
    at java.util.concurrent.FutureTask.run(FutureTask.java:138)
    at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
    at java.lang.Thread.run(Thread.java:695)
    at org.jetbrains.ide.PooledThreadExecutor$1$1.run(PooledThreadExecutor.java:56)
    Caused by: com.intellij.diagnostic.PluginException: org/idea/plugin/GoogleIt/GoogleItSelected : Unsupported major.minor version 51.0 [Plugin: org.root.GoogleIt]
    at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:130)
    at com.intellij.ide.plugins.cl.PluginClassLoader.a(PluginClassLoader.java:77)
    at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:66)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:249)
    at com.intellij.openapi.actionSystem.impl.ActionManagerImpl.convertStub(ActionManagerImpl.java:151)
    … 24 more
    Caused by: java.lang.UnsupportedClassVersionError: org/idea/plugin/GoogleIt/GoogleItSelected : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:471)
    at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:213)
    at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:209)
    at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:185)
    at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:124)
    … 30 more

    • admin говорит:

      1. Edit your JAVA_HOME with the latest java home folder path
      2. Edit your path variable which might already have been set with older version
      3. For this goto My Computer > Properties > Advanced > Environment Variables > path
      4. Remove the earlier version path which might be something like /bin and replace it with newer version path

  4. Soner Kalaycı говорит:

    I’m using Idea 14.1.1 Ultimate and I cannot use completion with jsp files.

  5. Roman говорит:

    поставил для WebStorm 10.0.3 чтобы в jade завелось — не работает ((

    • admin говорит:

      Доброго времени суток!

      Можно подробнее?
      1. OS version;
      2. Java version;
      3. Обнавлялась ли Java;
      4. Plugin version;
      5. Test case (+- одна строка с указанием позиции курсора).

  6. Kees говорит:

    Hi,

    I’m using Intellij 14.1.4 and have installed the Emmet Everywhere plugin version 1.2.2 (because I have Java 1.7.0_79-b15 installed on my Debian machine).
    When I try to generate HTML with the Emmet Everywhere plugin by typing some HTML and then pressing CTRL+ALT+] nothing is happening. I don’t get any error message or anything neither. The preview is working though.

    Do you have any idea what could be causing the trouble?

    Best regards,

    Kees

  7. Anton говорит:

    git clone http://git.dej.in.ua/fima/emmeteverywhere.git
    Cloning into ’emmeteverywhere’…
    fatal: unable to access ‘https://git.dej.in.ua/fima/emmeteverywhere.git/’: The requested URL returned error: 502

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *